<?php

namespace App\Models\Settings;

use App\Models\User;
use App\Models\coreApp\BaseModel;
use App\Models\Traits\BranchTrait;
use App\Models\Traits\CompanyTrait;
use App\Models\coreApp\Status\Status;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class LocationBind extends BaseModel
{
    use HasFactory,BranchTrait,CompanyTrait;

    protected $guarded = ["id"];
    
    public function status()
    {
        return $this->belongsTo(Status::class);
    }

    public function user() : BelongsTo
    {
        return $this->belongsTo(User::class, 'user_id', 'id');
    }
}
